package com.zhongdao.jlr.pojo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "jlr_role")
public class JLRRole {

    private Integer id;//编号
    private String  name;//名称
    private Date    update_time;
    private Integer delete_flag;

    @Id
    @Column(name = "id")
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    @Column(name = "name")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(name = "update_time")
    public Date getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Date update_time) {
        this.update_time = update_time;
    }

    @Column(name = "delete_flag")
    public Integer getDelete_flag() {
        return delete_flag;
    }

    public void setDelete_flag(Integer delete_flag) {
        this.delete_flag = delete_flag;
    }

    @Override
    public String toString() {
        return "JLRRole{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", update_time=" + update_time +
                ", delete_flag=" + delete_flag +
                '}';
    }
}
